Package org.jbpm.process.workitem.email

## Class SendHtml

- java.lang.Object
- - org.jbpm.process.workitem.email.SendHtml

-     public class SendHtml
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SendHtml()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `collect​(String body, javax.mail.Message msg)` |
    `protected static URL` | `getAttachemntURL​(String attachment)` |
    `static void` | `sendHtml​(Email email)` |
    `static void` | `sendHtml​(Email email, boolean debug)` |
    `static void` | `sendHtml​(Email email, Connection connection)` |
    `static void` | `sendHtml​(Email email, Connection connection, boolean debug)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SendHtml

          public SendHtml()

  - ### Method Detail

    - #### sendHtml

          public static void sendHtml​(Email email)

    - #### sendHtml

          public static void sendHtml​(Email email,
                                      boolean debug)

    - #### sendHtml

          public static void sendHtml​(Email email,
                                      Connection connection)

    - #### sendHtml

          public static void sendHtml​(Email email,
                                      Connection connection,
                                      boolean debug)

    - #### collect

          public static void collect​(String body,
                                     javax.mail.Message msg)
                              throws javax.mail.MessagingException,
                                     IOException

      Throws:
        `javax.mail.MessagingException`
        `IOException`

    - #### getAttachemntURL

          protected static URL getAttachemntURL​(String attachment)
                                         throws MalformedURLException

      Throws:
        `MalformedURLException`